{% extends 'index.html' %}
{% load static %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-basic-7">
    <!-- begin panel-heading -->
    <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Lista de nuevos servicios</h4>
    </div>
    <!-- end panel-heading -->
    <!-- begin panel-body -->
    <div class="panel-body">
        <!-- begin table-responsive -->
        <div class="table-responsive">
            <div>

                <div class=" col-md-4 filter_table">
                    <h4 class="panel-title">Desde: (Creación)</h4>
                    <div class="col-xs-6">
                        <input type="text" value="" class="form-control query" id="new_service_datetimeinit_creation" placeholder="Tiempo mínima">
                    </div>
                </div>

                <div class=" col-md-4 filter_table">
                    <h4 class="panel-title">Hasta: (Creación)</h4>
                    <div class="col-xs-6">
                        <input type="text" value="" class="form-control query" id="new_service_datetimeend_creation" placeholder="Tiempo máximo">
                    </div>
                </div>

                <div class=" col-md-4 filter_table">
                    <h4 class="panel-title">Desde: (Instalación)</h4>
                    <div class="col-xs-6">
                        <input type="text" value="" class="form-control query" id="new_service_datetimeinit_installation" placeholder="Tiempo mínima">
                    </div>
                </div>

                <div class=" col-md-4 filter_table">
                    <h4 class="panel-title">Hasta: (Instalación)</h4>
                    <div class="col-xs-6">
                        <input type="text" value="" class="form-control query" id="new_service_datetimeend_installation" placeholder="Tiempo máximo">
                    </div>
                </div>

            </div>

            <button id="download_data_new_service" class="btn" style="margin-top: 10px; scroll-margin-bottom: 20px;" type="button">Descargar</button>

            <table class="table table-striped table-bordered" id="table-new_service" style="width: 100%;">
                
                <thead>
                    <tr>
                        <th>Creación</th>
                        <th>Creador</th>
                        <th>Fecha</th>
                        <th>Técnico</th>
                        <th>Días</th>
                        <th>Tipificación</th>
                        <th>Cambiar</th>
                        <th>Borrar</th>
                    </tr>
                </thead>
            </table>
        </div>
        <!-- end table-responsive -->
    </div>
</div>

<div class="modal " id="modals" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="modal-title"></h4>
				<button type="button" class="btn btn-secondary" style="background-color: #348fe2; border-color: #348fe2;" data-dismiss="modal" aria-hidden="true" id="modal_button">Listo</button>
            </div>
            <div class="modal-body" id="modal-html">

			</div>
			
        </div>
    </div>
</div>

{% endblock %}

{% block logic %}

<script src="{% static 'commponents/new_service/list.js' %}"></script>
<script src="{% static 'commponents/new_service/change.js' %}"></script>

{% endblock %}